package com.kmall.admin.entity.mk.dist;

import com.kmall.manager.entity.Tree;

import java.util.Date;
import java.util.List;

/**
 * 分销层级，树状层级，每个子级只有唯一一个父级，一个父级可以多个子级实体
 * 表名 mk_dist_hier
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-09 18:04:46
 */
public class MkDistHierEntity extends Tree {

    /**
     * 分销层级id
     */
    private Integer distHierId;
    /**
     * 分销渠道id
     */
    private Integer distChnlId;
    /**
     * 上级分销商id
     */
    private Integer pdistId;
    /**
     * 分销商id
     */
    private Integer distId;
    /**
     * 分销层级名称
     */
    private String distHierName;
    /**
     * 分销层级昵称
     */
    private String distHierNname;
    /**
     * 层级级别，最大支持99级，【hier_lvl，01:01，02:02，......，99:99】
     */
    private String hierLvl;
    /**
     * 所属供应商
     */
    private Integer supplierId;
    /**
     * 排序
     */
    private Integer sortOrder;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    private String pdDistName;

    private String distName;

    private String distFlag;

    private String childSupplierName;

    private String parentName;

    private String name;

    private Long parentId;

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    private List<MkDistHierLvlEntity> lvlEntitieyList;

    public List<MkDistHierLvlEntity> getLvlEntitieyList() {
        return lvlEntitieyList;
    }

    public void setLvlEntitieyList(List<MkDistHierLvlEntity> lvlEntitieyList) {
        this.lvlEntitieyList = lvlEntitieyList;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPdDistName() {
        return pdDistName;
    }

    public void setPdDistName(String pdDistName) {
        this.pdDistName = pdDistName;
    }

    public String getDistName() {
        return distName;
    }

    public void setDistName(String distName) {
        this.distName = distName;
    }

    public String getDistFlag() {
        return distFlag;
    }

    public void setDistFlag(String distFlag) {
        this.distFlag = distFlag;
    }

    public String getChildSupplierName() {
        return childSupplierName;
    }

    public void setChildSupplierName(String childSupplierName) {
        this.childSupplierName = childSupplierName;
    }

    /**
     * 设置：分销层级id
     */
    public void setDistHierId(Integer distHierId) {
        this.distHierId = distHierId;
    }

    /**
     * 获取：分销层级id
     */
    public Integer getDistHierId() {
        return distHierId;
    }
    /**
     * 设置：分销渠道id
     */
    public void setDistChnlId(Integer distChnlId) {
        this.distChnlId = distChnlId;
    }

    /**
     * 获取：分销渠道id
     */
    public Integer getDistChnlId() {
        return distChnlId;
    }
    /**
     * 设置：上级分销商id
     */
    public void setPdistId(Integer pdistId) {
        this.pdistId = pdistId;
    }

    /**
     * 获取：上级分销商id
     */
    public Integer getPdistId() {
        return pdistId;
    }
    /**
     * 设置：分销商id
     */
    public void setDistId(Integer distId) {
        this.distId = distId;
    }

    /**
     * 获取：分销商id
     */
    public Integer getDistId() {
        return distId;
    }
    /**
     * 设置：分销层级名称
     */
    public void setDistHierName(String distHierName) {
        this.distHierName = distHierName;
    }

    /**
     * 获取：分销层级名称
     */
    public String getDistHierName() {
        return distHierName;
    }
    /**
     * 设置：分销层级昵称
     */
    public void setDistHierNname(String distHierNname) {
        this.distHierNname = distHierNname;
    }

    /**
     * 获取：分销层级昵称
     */
    public String getDistHierNname() {
        return distHierNname;
    }
    /**
     * 设置：层级级别，最大支持99级，【hier_lvl，01:01，02:02，......，99:99】
     */
    public void setHierLvl(String hierLvl) {
        this.hierLvl = hierLvl;
    }

    /**
     * 获取：层级级别，最大支持99级，【hier_lvl，01:01，02:02，......，99:99】
     */
    public String getHierLvl() {
        return hierLvl;
    }
    /**
     * 设置：所属供应商
     */
    public void setSupplierId(Integer supplierId) {
        this.supplierId = supplierId;
    }

    /**
     * 获取：所属供应商
     */
    public Integer getSupplierId() {
        return supplierId;
    }
    /**
     * 设置：排序
     */
    public void setSortOrder(Integer sortOrder) {
        this.sortOrder = sortOrder;
    }

    /**
     * 获取：排序
     */
    public Integer getSortOrder() {
        return sortOrder;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
